### Function

# Hinoko FwIsoResource calculate_bandwidth

#### Declaration [src]

    guint
    hinoko_fw_iso_resource_calculate_bandwidth (
      guint bytes_per_payload,
      HinokoFwScode scode
    )

#### Description [src]

Calculate the amount of bandwidth expected to be consumed in allocation unit by given parameters.

#### Parameters

`bytes_per_payload`

  Type: `guint`

  The number of bytes in payload of isochronous packet.

`scode`

  Type: `HinokoFwScode`

  The speed of transmission.

#### Return value

Type: `guint`

The amount of bandwidth expected to be consumed.